Name:           ardesia
Summary:        A free digital sketchpad software
Version:        1.1 
Release:        %mkrel 5
Source0:        http://ardesia.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:		%{name}-1.1-configure.patch
Patch1:		ardesia-1.1-automake-1.13.patch
URL:            http://code.google.com/p/ardesia
Group:          Education
License:        GPLv3 

BuildRequires:	libgsf-1-devel
BuildRequires:	libsigsegv-devel 
BuildRequires:	vlc-devel
BuildRequires:	binutils-devel
BuildRequires:	gsl-devel
BuildRequires:	gtk+3.0-devel
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	desktop-file-utils
BuildRequires:	blas-devel
BuildRequires:	libatlas-devel

Suggests:	vlc
Suggests:	curtain
Suggests:	florence

%description
Ardesia is the free digital sketchpad software that help you to make colored 
free-hand annotations with digital ink everywhere, record them and share on 
the network. 

%prep 
%setup -q 
%patch0 -p1 -b .gtk3test
%patch1 -p1 -b .automake-1_13

%build
./autogen.sh
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std XDG_UTILS=""

%find_lang %{name}

desktop-file-install    --vendor="" \
                        --dir %{buildroot}%{_datadir}/applications \
                        --remove-category="GNOME" \
                        --remove-category="GTK" \
                        --remove-category="Utility" \
                        --add-category="Education" \
                        %{buildroot}%{_datadir}/applications/%name.desktop

%files -f %name.lang
%doc AUTHORS README COPYING NEWS 
%{_bindir}/%name
%{_datadir}/applications/%name.desktop
%{_datadir}/%{name}/ui/*.glade
%{_datadir}/%{name}/scripts/*.sh
%{_datadir}/%{name}/ui/icons/*
%{_datadir}/%{name}/ui/backgrounds/*
%{_datadir}/%{name}/ui/*.xml
%{_datadir}/pixmaps/%name.png
%{_mandir}/man1/%name.*



%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.1-5.mga4
+ Revision: 523480
- Mageia 4 Mass Rebuild

* Sun May 05 2013 pterjan <pterjan> 1.1-4.mga3
+ Revision: 412358
- Add missing BuildRequires

* Fri Jan 11 2013 umeabot <umeabot> 1.1-3.mga3
+ Revision: 346008
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 30 2012 cjw <cjw> 1.1-2.mga3
+ Revision: 336318
- patch1: fix build with automake 1.13

* Tue Nov 06 2012 matteo <matteo> 1.1-1.mga3
+ Revision: 314595
- new version

* Thu Jan 05 2012 matteo <matteo> 1.0-4.mga2
+ Revision: 191863
+ rebuild (emptylog)

* Fri Dec 23 2011 matteo <matteo> 1.0-3.mga2
+ Revision: 186781
- bump release
- florence and curtain added as suggested

* Tue Oct 25 2011 matteo <matteo> 1.0-2.mga2
+ Revision: 157895
- spec file reviewed

* Mon Oct 10 2011 matteo <matteo> 1.0-1.mga2
+ Revision: 153709
- added desktop-file-utils br
- upgraded to version 1.0

* Wed Jul 20 2011 matteo <matteo> 0.9-1.mga2
+ Revision: 127508
- imported package ardesia


* Sun Jul 03 2011 Matteo Pasotti <pasotti.matteo@gmail.com> 0.9-1
- create spec 

